# ]po[ Reporting Core
This package is part of ]project-open[, an open-source enterprise project management system.

For more information about ]project-open[ please see:
* [Documentation Wiki](https://www.project-open.com/en/)
* [V5.0 Download](https://sourceforge.net/projects/project-open/files/project-open/V5.0/)
* [Installation Instructions](https://www.project-open.com/en/list-installers)

About ]po[ Reporting Core:

<p><p>Inquires into the ]project-open[ database about the status of projects, users, finances, timesheets, etc. provide the raw base material for reporting functions related to the assessment of project progression,efficiency,budget, etc. The Reporting Core is the base package for reporting functions in ]project-open[ and all other reporting related packages are add-on extensions which supplement the Reporting Core. The Reporting Base includes several generic pre-defined reports which have configurable search options. 

# Online Reference Documentation

## Project Reporting



## Timesheet Management



## Project Controlling



## Surveys



## Users



## Standard Reports located in other packages



## Procedure Files

<table cellpadding="0" cellspacing="0"><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/lib/create-ts-chart.adp">lib/create-ts-chart.adp</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/lib/create-ts-chart.tcl">lib/create-ts-chart.tcl</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/lib/project-deviation-time-budget.adp">lib/project-deviation-time-budget.adp</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/lib/project-deviation-time-budget.tcl">lib/project-deviation-time-budget.tcl</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/procs-file-view?version_id=7036&amp;path=packages/intranet-reporting/tcl/intranet-reporting-procs.tcl">tcl/intranet-reporting-procs.tcl</a></b></td><td></td><td>Reporting Component Library </td></tr></table>

## Procedures

<table cellpadding="0" cellspacing="0"><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=7036&amp;proc=im_package_reporting_id">im_package_reporting_id</a></b></td><td></td><td>Returns the package id of the intranet-reporting module </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=7036&amp;proc=im_report_accuracy_select">im_report_accuracy_select</a></b></td><td></td><td>Returns a formatted select widget (radio buttons) to allow a user to select accuracy </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=7036&amp;proc=im_report_content_type">im_report_content_type</a></b></td><td></td><td>Returns the suitable MIME type for the given output_format </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=7036&amp;proc=im_report_display_footer">im_report_display_footer</a></b></td><td></td><td>Display the footer stack of a single row in a project-open report. </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=7036&amp;proc=im_report_format_number">im_report_format_number</a></b></td><td></td><td>Write out the number in a suitably formatted way for the output medium. </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=7036&amp;proc=im_report_http_encoding">im_report_http_encoding</a></b></td><td></td><td>Returns a suitable HTTP &quot;Content-Type&quot; value. </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=7036&amp;proc=im_report_number_locale_select">im_report_number_locale_select</a></b></td><td></td><td>Returns a formatted select widget (select) to allow a user to select the number locale of a report </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=7036&amp;proc=im_report_options">im_report_options</a></b></td><td></td><td>Returns a list of all Reports. </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=7036&amp;proc=im_report_output_format_select">im_report_output_format_select</a></b></td><td></td><td>Returns a formatted select widget (radio buttons) to allow a user to select the output format </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=7036&amp;proc=im_report_quote_cell">im_report_quote_cell</a></b></td><td></td><td>Take care of output specific characters: &lt;li&gt; Quote HTML characters for HTML &lt;li&gt; Quote double quotes for CSV </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=7036&amp;proc=im_report_render_cell">im_report_render_cell</a></b></td><td></td><td>Renders one cell via ns_write directly into a report HTTP session </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=7036&amp;proc=im_report_render_footer">im_report_render_footer</a></b></td><td></td><td>Renders the footer stack of a single row in a project-open report. </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=7036&amp;proc=im_report_render_header">im_report_render_header</a></b></td><td></td><td>Renders a single row in a project-open report. </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=7036&amp;proc=im_report_render_row">im_report_render_row</a></b></td><td></td><td>Renders one line of a report via ns_write directly into a report HTTP session </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=7036&amp;proc=im_report_select">im_report_select</a></b></td><td></td><td>Returns a select box with all Reports in the company. </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=7036&amp;proc=im_report_skip_if_zero">im_report_skip_if_zero</a></b></td><td></td><td>Returns an empty string if &quot;amount&quot; is zero. </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=7036&amp;proc=im_report_status_active">im_report_status_active</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=7036&amp;proc=im_report_status_deleted">im_report_status_deleted</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=7036&amp;proc=im_report_take_all_ordered_permutations">im_report_take_all_ordered_permutations</a></b></td><td></td><td>returns all permutations of a list </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=7036&amp;proc=im_report_take_n_from_list">im_report_take_n_from_list</a></b></td><td></td><td>returns n elements from list </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=7036&amp;proc=im_report_tcl_encoding">im_report_tcl_encoding</a></b></td><td></td><td>Returns a suitable conversion for the &#39;encoding convertto&#39; command. </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=7036&amp;proc=im_report_type_indicator">im_report_type_indicator</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=7036&amp;proc=im_report_type_simple_sql">im_report_type_simple_sql</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=7036&amp;proc=im_report_update_counters">im_report_update_counters</a></b></td><td></td><td>Takes a definition of the report counters and update the counter values according to the variables in the parent frame </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=7036&amp;proc=im_report_write_http_headers">im_report_write_http_headers</a></b></td><td></td><td>Writes a suitable HTTP header to the connection. </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=7036&amp;proc=im_reporting_form_update_ajax">im_reporting_form_update_ajax</a></b></td><td></td><td>Includes JS code for asynchronous HTML requests to be triggered when source element is changed. </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=7036&amp;proc=im_reporting_rest_error">im_reporting_rest_error</a></b></td><td></td><td>Writes out an error message for the specified format </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=7036&amp;proc=im_reporting_sub_project_name_path">im_reporting_sub_project_name_path</a></b></td><td></td><td>Returns a subproject name composed by all superior project in the hierarchy </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=7036&amp;proc=im_reporting_sub_project_name_path_helper">im_reporting_sub_project_name_path_helper</a></b></td><td></td><td>Returns a subproject name composed by all superior project in the hierarchy </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=7036&amp;proc=im_reporting_tree_sortkey_pretty">im_reporting_tree_sortkey_pretty</a></b></td><td></td><td>Returns a shortened tree_sortkey </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=7036&amp;proc=im_reporting_tree_sortkey_spacers">im_reporting_tree_sortkey_spacers</a></b></td><td></td><td>Returns spacers for a tree_sortkey to indent a subproject or task </td></tr></table>

## SQL Files

<table cellpadding="0" cellspacing="0"><tr valign="top"><td><b><a href="https://www.project-open.net/api-doc/display-sql?package_key=intranet-reporting&amp;url=postgresql/intranet-reporting-create.sql&amp;version_id=7036">sql/postgresql/intranet-reporting-create.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="https://www.project-open.net/api-doc/display-sql?package_key=intranet-reporting&amp;url=postgresql/intranet-reporting-drop.sql&amp;version_id=7036">sql/postgresql/intranet-reporting-drop.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="https://www.project-open.net/api-doc/display-sql?package_key=intranet-reporting&amp;url=postgresql/upgrade/upgrade-5.0.1.0.0-5.0.1.0.1.sql&amp;version_id=7036">sql/postgresql/upgrade/upgrade-5.0.1.0.0-5.0.1.0.1.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="https://www.project-open.net/api-doc/display-sql?package_key=intranet-reporting&amp;url=postgresql/upgrade/upgrade-5.0.2.2.0-5.0.2.2.1.sql&amp;version_id=7036">sql/postgresql/upgrade/upgrade-5.0.2.2.0-5.0.2.2.1.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="https://www.project-open.net/api-doc/display-sql?package_key=intranet-reporting&amp;url=postgresql/upgrade/upgrade-5.0.2.4.1-5.0.2.4.2.sql&amp;version_id=7036">sql/postgresql/upgrade/upgrade-5.0.2.4.1-5.0.2.4.2.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="https://www.project-open.net/api-doc/display-sql?package_key=intranet-reporting&amp;url=postgresql/upgrade/upgrade-5.0.2.4.2-5.0.2.4.3.sql&amp;version_id=7036">sql/postgresql/upgrade/upgrade-5.0.2.4.2-5.0.2.4.3.sql</a></b></td><td></td><td></td></tr></table>

## Content Pages

<table cellpadding="0" cellspacing="0"><tr valign="top"><td><b>www/</b></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/budget-main-projects.tcl">budget-main-projects.tcl</a></b></td><td>Budget Check for Main Projects Report This reports lists all main projects with a budget overrun.</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/capacity-planning.tcl">capacity-planning.tcl</a></b></td><td>Budget for Main Projects Report This reports lists all main projects with a budget overrun.</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/check-project-finance-customer-fix.tcl">check-project-finance-customer-fix.tcl</a></b></td><td>Set a sub-project&#39;s customer field to the one of its parent</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/check-project-finance-customer.tcl">check-project-finance-customer.tcl</a></b></td><td>Check if Subprojects have the same company_id as the main project</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/check-subprojects-customer-fix.tcl">check-subprojects-customer-fix.tcl</a></b></td><td>Set a sub-project&#39;s customer field to the one of its parent</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/check-subprojects-customer.tcl">check-subprojects-customer.tcl</a></b></td><td>Check if Subprojects have the same company_id as the main project</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/check-ts-costs-cached.tcl">check-ts-costs-cached.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/community-stats.adp">community-stats.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/community-stats.tcl">community-stats.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/hr-vacation-balance.tcl">hr-vacation-balance.tcl</a></b></td><td>Lists vacation balance per user</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/index.adp">index.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/index.tcl">index.tcl</a></b></td><td>Show list of reports</td></tr><tr valign="top"><td><b>js/</b></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/js/ajax_update_select_box.js.adp">ajax_update_select_box.js.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/js/ajax_update_select_box.js.tcl">ajax_update_select_box.js.tcl</a></b></td><td>Includes JS for updating a target form field (select) when a source form field is changed by the user.</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/late-projects.adp">late-projects.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/late-projects.tcl">late-projects.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/logged-units-vs-planned-units.adp">logged-units-vs-planned-units.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/logged-units-vs-planned-units.tcl">logged-units-vs-planned-units.tcl</a></b></td><td>Report showing the project hierarchy, together with financial information and timesheet hours</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/magazine_editors.separate.tcl">magazine_editors.separate.tcl</a></b></td><td>testing reports</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/magazine_editors.tcl">magazine_editors.tcl</a></b></td><td>testing reports</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/new.adp">new.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/new.tcl">new.tcl</a></b></td><td>New page is basic...</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/program-eva.tcl">program-eva.tcl</a></b></td><td>Show programs (groups of projects) and their budget</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/project-deviation-time-budget.tcl">project-deviation-time-budget.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/project-tasks.adp">project-tasks.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/project-tasks.tcl">project-tasks.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/projects-main.tcl">projects-main.tcl</a></b></td><td>Report listing all main projects in the system with all available fields + DynFields from projects and customers</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/skill-profile-unassigned-tasks.tcl">skill-profile-unassigned-tasks.tcl</a></b></td><td>Shows a list of all projects with unassigned skill profile assignments.</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/survsimp-main.tcl">survsimp-main.tcl</a></b></td><td>Report listing all main projects in the system with all available fields + DynFields from projects and customers</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/timesheet-customer-project-open.tcl">timesheet-customer-project-open.tcl</a></b></td><td>testing reports</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/timesheet-customer-project-xml-xslt.tcl">timesheet-customer-project-xml-xslt.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/timesheet-customer-project.tcl">timesheet-customer-project.tcl</a></b></td><td>testing reports</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/timesheet-days-per-project-and-month.tcl">timesheet-days-per-project-and-month.tcl</a></b></td><td>testing reports</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/timesheet-finance.adp">timesheet-finance.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/timesheet-finance.tcl">timesheet-finance.tcl</a></b></td><td>Report showing the project hierarchy, together with financial information and timesheet hours</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/timesheet-incomplete-days.tcl">timesheet-incomplete-days.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/timesheet-invoice-hours.tcl">timesheet-invoice-hours.tcl</a></b></td><td>testing reports</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/timesheet-monthly-hours-absences.tcl">timesheet-monthly-hours-absences.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/timesheet-monthly-hours-absences2.tcl">timesheet-monthly-hours-absences2.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/timesheet-productivity-calendar-view-workdays-simple.tcl">timesheet-productivity-calendar-view-workdays-simple.tcl</a></b></td><td>testing reports</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/timesheet-productivity-calendar-view.tcl">timesheet-productivity-calendar-view.tcl</a></b></td><td>testing reports</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/timesheet-productivity-compensation.tcl">timesheet-productivity-compensation.tcl</a></b></td><td>Report for the componsation</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/timesheet-productivity.tcl">timesheet-productivity.tcl</a></b></td><td>testing reports</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/user-contacts.tcl">user-contacts.tcl</a></b></td><td>Shows a list of all users in the system, together with their contact information,</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/vaw-projects-documents.tcl">vaw-projects-documents.tcl</a></b></td><td>testing reports</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/view.adp">view.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/view.tcl">view.tcl</a></b></td><td>Show the results of a single &quot;dynamic&quot; report or indicator</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=7036&amp;path=packages/intranet-reporting/www/xmlhttp-object-options-custom.tcl">xmlhttp-object-options-custom.tcl</a></b></td><td>Returns a key-value list of combo elements in either JSON or XML format to be used to update an arbitrary form combo boxes.</td></tr></table>

